Preview a List
Preview permitted members of a definition without saving it. Requires the corresponding businesses:read or people:read scope. Save only after reviewing the preview.
AuthorizationBearer <token>
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Header Parameters
SMB-Workspace-Id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/lists/preview" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "definition": { "schema_version": "smb.list.v1", "subject_type": "business", "rule": { "kind": "field", "field": "name", "operator": "eq", "value": "string" } } }'{ "data": { "next_cursor": "string", "evaluated_at": "2019-08-24T14:15:22Z", "count": { "status": "unknown", "value": null, "as_of": null }, "members": [ { "id": "string", "subject_type": "business", "projection": "public", "summary": { "display_name": "string" }, "reason": "rule", "values": { "property1": { "value_type": "text", "value": "string" }, "property2": { "value_type": "text", "value": "string" } }, "business": { "status": "string", "website_url": "string", "city": "string", "state": "string", "naics_code": "string", "naics_title": "string", "icon_url": "http://example.com" } } ], "list_version": 1 }, "request_id": "string"}